Bug 108131 - Package loader should apply '-data' option automatically if apps schema is already loaded
Summary: Package loader should apply '-data' option automatically if apps schema is a...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-27 21:16 UTC by Daniel Berrange
Modified: 2007-04-18 16:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:25:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-10-27 21:16:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
If the package loader loads an application's data model, but fails on the
initializer stage, then the next time the loader is run on that application it
should automatically skip the schema loading & go straight to the initializer.
ie it should apply the '-data' option automatically.

As a corollory, the -data option should *not* be allowed unless the schema load
has previously completed successfully, since initializers will doubtless depend
on the schema being present.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Loading a package which throws an exception in its initializer
2. Correct the condition causing the exception,
3. Attempt to run the package loader again
    

Actual Results:  dan@camden$ ccm-pkg load ccm-cms-types-article
conflicting tables: [ct_articles]


Expected Results:  dan@camden$ ccm-pkg load ccm-cms-types-article
schema already loaded, skipping to initializer stage.



Additional info:

Comment 1 Daniel Berrange 2006-09-02 17:25:39 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.